<?php

$this->extend('Croogo/Core./Common/admin_index');

$this->Breadcrumbs
    ->add(__d('croogo', 'Settings'), array(
        'prefix' => 'admin',
        'plugin' => 'Croogo/Settings',
        'controller' => 'Settings',
        'action' => 'index',
    ));

$key = $this->request->getQuery('key');
if ($key) {
    $this->Breadcrumbs->add($key);
}

$this->start('table-heading');
    $tableHeaders = $this->Html->tableHeaders(array(
        $this->Paginator->sort('id', __d('croogo', 'Id')),
        $this->Paginator->sort('key', __d('croogo', 'Key')),
        $this->Paginator->sort('value', __d('croogo', 'Value')),
        $this->Paginator->sort('editable', __d('croogo', 'Editable')),
        __d('croogo', 'Actions'),
    ));
    echo $tableHeaders;
$this->end();

$this->append('table-body');
    $rows = array();
    foreach ($settings as $setting):
        $actions = array();
        $actions[] = $this->Croogo->adminRowAction('',
            array('controller' => 'Settings', 'action' => 'moveup', $setting->id), [
            'icon' =>$this->Theme->getIcon('move-up'),
            'escapeTitle' => false,
            'tooltip' => __d('croogo', 'Move up'),
        ]);
        $actions[] = $this->Croogo->adminRowAction('',
            array('controller' => 'Settings', 'action' => 'movedown', $setting->id), [
            'icon' => $this->Theme->getIcon('move-down'),
            'escapeTitle' => false,
            'tooltip' => __d('croogo', 'Move down')
        ]);
        $actions[] = $this->Croogo->adminRowAction('',
            array('controller' => 'Settings', 'action' => 'edit', $setting->id), [
            'icon' => $this->Theme->getIcon('update'),
            'escapeTitle' => false,
            'tooltip' => __d('croogo', 'Edit this item')
        ]);
        $actions[] = $this->Croogo->adminRowActions($setting->id);
        $actions[] = $this->Croogo->adminRowAction('',
            array('controller' => 'Settings', 'action' => 'delete', $setting->id), [
            'icon' => $this->Theme->getIcon('delete'),
            'escapeTitle' => false,
            'tooltip' => __d('croogo', 'Remove this item')
        ], __d('croogo', 'Are you sure?'));

        $key = $setting->key;
        $keyE = explode('.', $key);
        $keyPrefix = $keyE['0'];
        if (isset($keyE['1'])) {
            $keyTitle = '.' . $keyE['1'];
        } else {
            $keyTitle = '';
        }
        $actions = $this->Html->div('item-actions', implode(' ', $actions));
        $rows[] = array(
            $setting->id,
            $this->Html->link($keyPrefix, array('controller' => 'Settings', 'action' => 'index', '?' => array('key' => $keyPrefix))) . $keyTitle,
            $this->Text->truncate(h($setting->value), 20),
            $this->Html->status($setting->editable),
            $actions,
        );
    endforeach;

    echo $this->Html->tableCells($rows);
$this->end();
